@import url('https://fonts.googleapis.com/css2?family=Gochi+Hand&family=Potta+One&family=Sen:wght@400..800&display=swap');
:root{
    --color1: #9D182B;
    --color2: #FFEFF3;
    --color3: #F9CBD6;
    --color4: #2B050A;
    --color5: #F0FBBF;
}
*{
    box-sizing: border-box;
    transition: 500ms;
}
html{
    scroll-behavior: smooth;
    font-family: "Sen";
    font-size: 16px;
    font-style: normal;
}
body{}

a{
    text-decoration: none;
    color: inherit;
}
p{
    line-height: 140%;
}
img{
    max-width: 100%;
}

header{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color1);
    position: fixed;
    width: 100%;
    padding: 10px;
    z-index: 999;
}
header .zawartosc{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.logo1{
    display: block;
    text-align: center;
    color: var(--color2);
    font-size: 40px;
    font-weight: bold;
    text-transform: uppercase;
}
nav{
    white-space: nowrap;
}
nav ol{
    max-width: 1200px;
    width: 100%;
    display: flex;
    gap: 10px
    /* background-color: red; */
}
nav ol li{
    flex: 1;
}
nav ol li a{
    display: block;
    text-align: center;
    color: var(--color2);
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    padding: 20px;
    border-radius: 10px;
}
nav ol li a:hover{
    background-color: var(--color3);
    color: var(--color1);
}
nav ol li a:active{
    background-color: var(--color3);
    color: var(--color1);
}


section{
    padding: 20px;
    min-height: 95vh; /*vh=viewport hight = % wysokości okna przegladarki*/
    display: flex;
    align-items: center;
    justify-content: center;
    scroll-margin-top: 50px;
}
/*class ma prefix '.' */
.zawartosc{
    max-width: 1200px;
    width: 100%;
}


#sekcja1{
    min-height: 100vh;
    background-color: var(--color1);
    padding-top: 100px;
}
#sekcja1 .zawartosc{
    display: flex;
    align-items: center;
    justify-content: center;
}
#logo h1 img{
    width: auto;
    height: 180px;
}
#logo{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 700px;
    height: 700px;
    border-radius: 50%;
    display: flex;
    text-transform: uppercase;
    font-weight: bold;
}

#logo:hover{
    background-color: var(--color2);
}

#logo h1{
    font-family: "Gochi hand";
    color: var(--color1);
    font-size: 180px;
    display: flex;
    align-items: baseline;
    font-weight: bold;
    /* background-color: green; */
}

#logo h2{
    color: var(--color2);
    font-size: 200px;
    font-family: "Gochi hand";
    text-shadow: 0 0 20px var(--color4);
    /* background-color: orange; */
    transform: translateY(-60px);
}


#sekcja2{
    background: url(../img/duzewisnie.png) no-repeat center center fixed;
    background-size: cover;
    background-blend-mode: soft-light;
    background-color: var(--color5);
}
#sekcja2 .zawartosc{
    display: flex; /*ustawi kolumny obok siebie*/
    gap: 50px;
    flex-wrap: wrap; /*pozwala na zwijanie do nastepengo rzedu, moment zawijania zalezy od flex dla itmes*/
    justify-content: center;
    align-items: center;
}
#sekcja2 article{
    color: var(--color4);
    flex: 1 1 300px;
}
#sekcja2 article img{
     animation: float 4s ease-in-out infinite;
}
@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}
#sekcja2 article h1{
    font-family: "Gochi hand";
    font-weight: bold;
    font-size: 128px;
    margin-top: 10px;
    color: var(--color1);
}
#sekcja2 article p{
    display: block;
    width: 380px;
}
#sekcja2 article h2{
    font-size: 36px;
    margin-bottom: 20px;
}
#sekcja2 article h3{
    font-family: "Potta One";
    font-weight: bold;
    font-size: 96px;
    color: var(--color4);
}


#sekcja3{
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 100px 20px;
}
#sekcja3 h1{
    text-align: center;
    font-size: 128px;
    font-weight: bolder;
    margin-bottom: 30px;
    color: var(--color1);
}
#sekcja3 .zawartosc{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 100px;
    max-width: 1200px;
}   
#sekcja3 article{
    color: var(--color4);
    text-align: center;
    padding: 30px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#sekcja3 article img{}
#sekcja3 article h2{
    font-family: "Gochi hand";
    font-weight: bold;
    font-size: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
    color: var(--color3);
}
#sekcja3 article p{
    margin-bottom: 10px;
}
#sekcja3 article:hover{
    background-color: var(--color5);
}
#sekcja3 a{
    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
    display: block;
    padding: 10px;
    border-radius: 10px;
    background-color: var(--color1);
    color: var(--color2);
    opacity: 0;
    /* align-self: flex-end; */
}
#sekcja3 article:hover a{
    opacity: 1;
}
#sekcja3 a:hover{
    background-color: var(--color4);
}
#sekcja3 article:hover h2{
    /* font-size: 35px; */
    transform: scale(1.1);
    color: var(--color1);
}

#sekcja4{
    background: url(../img/kwiaty3.png) no-repeat center center fixed;
    background-size: cover;
    background-blend-mode: soft-light;
    background-color: var(--color2)
}
#sekcja4 .zawartosc{
    display: flex; /*ustawi kolumny obok siebie*/
    gap: 50px;
    flex-wrap: wrap; /*pozwala na zwijanie do nastepengo rzedu, moment zawijania zalezy od flex dla itmes*/
    justify-content: center;
    align-items: center;
}
#sekcja4 article{
    color: var(--color4);
    flex: 1 1 400px; /*szerokosc bazowa 300px - oznacza, ze items nie moga byc mniejsze niz 300 px wiec wrapem zostana zrzuconego do nastepnego wiersza*/
}
#sekcja4 article img{
    animation: float2 4s ease-in-out infinite;
}
@keyframes float2 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}
#sekcja4 article h1{
    font-weight: bold;
    font-size: 128px;
    margin-top: 10px;
    color: var(--color1);
}
#sekcja4 article h2{
    font-weight: bold;
    font-size: 36px;
    margin-bottom: 20px;
    color: var(--color3);
}
#sekcja4 article h3{
    font-family: "Potta One";
    font-weight: bold;
    font-size: 96px;
    color: var(--color4);
}
#sekcja4 article p{
    display: block;
    width: 430px;
    margin-bottom: 35px;
}
#sekcja4 a{
    padding: 10px;
    background-color: var(--color1);
    border-radius: 10px;
    color: var(--color2);
    font-weight: bold;
    text-transform: uppercase;
    font-size: 18px;
}
#sekcja4 a:hover{
    background-color: var(--color4);
    color: var(--color2);
}

#sekcja5{
    background-color: white;
}
#sekcja5 .zawartosc{
    display: flex;
    flex-wrap: wrap;
    justify-items: center;
    gap: 50px;
}
#sekcja5 article{
    color: var(--color4);
    flex: 1 1 400px;
}
#sekcja5 article h1{
    font-weight: bold;
    font-size: 128px;
    margin-top: 10px;
    color: var(--color1);
}
#sekcja5 article h2{
    font-weight: bold;
    font-size: 36px;
    margin-top: 20px;
    margin-bottom: 20px;
    color: var(--color3);
}
#sekcja5 article h3{
    font-family: "Potta One";
    font-weight: bold;
    font-size: 96px;
    color: var(--color4);
}
#sekcja5 article p{
    margin-bottom: 20px;
}
#sekcja5 h4{
    margin-bottom: 20px;
    font-weight: bold;
}
#sekcja5 form{
    background: var(--color2);
    border-radius: 20px;
    padding: 30px;
    justify-content: center;
    justify-items: center;
}
#sekcja5 form h2{
    font-weight: bold;
    font-size: 36px;
    margin-bottom: 30px;
    text-align: center;
    color: var(--color1);

}
#sekcja5 form main input{
    display: block;
    margin-bottom: 20px;
    padding: 10px;
    width: 100%;
    font-size: 18px;
    border: 0;
    border-radius: 10px;
    font-family: inherit;
}
#sekcja5 form main input:focus{
    outline: 0;
}
#sekcja5 ::placeholder{
    /* color: var(--color4); */
    color: #ccc;
}

#sekcja5 #zgody{
    font-size: 13px;
    margin: 20px auto;
    max-width: 50%;
    display: flex;
    gap: 10px;
    align-items: flex-start;
}
#sekcja5 #zgody input[type=checkbox]{
    display: block;
}
#sekcja5 #zgody label{
}
#sekcja5 form footer{
    font-size: 20px;
}
#sekcja5 form footer input{
    border: 0;
    font-size: 18px;
    font-weight: bold;
    text-transform: uppercase;
}
#sekcja5 form footer input[type=submit]{
    font-family: "Sen";
    background-color: var(--color1);
    color: var(--color2);
    border-radius: 10px;
    display: block;
    margin: auto;
    padding: 10px;
}
#sekcja5 form footer input[type=submit]:hover{
    background-color: var(--color4);
}
#sekcja5 form main textarea{
    font-family: "Sen";
    font-size: 18px;
    border: 0;
    width: 100%;
    resize: vertical;
    padding: 10px;
    border-radius:10px;
    min-height: 100px;
}
#sekcja5 form main textarea:hover{
    outline: 0;
}

#stopka{
    background-color: var(--color1);
    min-height: 20vh;
    flex-direction: column;
}
#stopka .zawartosc{
    justify-content: space-between;
    display: flex;
    gap: 20px;
    padding: 20px;
    flex-wrap: wrap;
    color: white;
}
#stopka article{
    flex: 0 1 250px;
    padding: 20px;
    font-size: 15px;
    font-weight: 200;
    color: white;
}
#stopka h3{
    font-size: 24px;
    font-weight: bold;
    line-height: 140%;
}
#stopka ol{
}
#stopka ol li{
    margin-top: 10px;
    color: white;
}
#stopka p{
    margin-top: 10px;
    color: white;
}
#stopka input{
    padding-left: 5px;
    margin-top: 5px;
}
#stopka a{
    color: white;
}
#stopka a:hover{
    font-weight: bold;
}
#stopka h6{
    color: white;
    font-size: 10px;
}